Bug 1493039 - Searching for the input method “New Zhuyin” does not work.
Summary: Searching for the input method “New Zhuyin” does not work.
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: control-center
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Control Center Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-19 08:51 UTC by Mike FABIAN
Modified: 2018-11-30 18:00 UTC (History)
13 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-11-30 18:00:49 UTC


Attachments (Terms of Use)
zhuyin-search-does-not-work.png (169.70 KB, image/png)
2017-09-19 08:51 UTC, Mike FABIAN
no flags Details
zhuyin-listed-by-gnome.png (174.29 KB, image/png)
2017-09-19 08:52 UTC, Mike FABIAN
no flags Details
dvorak-search-works.png (76.23 KB, image/png)
2017-09-19 08:54 UTC, Mike FABIAN
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1495172 None None None Never

Internal Trackers: 1495172

Description Mike FABIAN 2017-09-19 08:51:23 UTC
Created attachment 1327809 [details]
zhuyin-search-does-not-work.png

In installed Fedora-Workstation-netinst-x86_64-27-20170910.n.0.iso in qemu using:

nice -n 19 ionice -c 3 qemu-kvm -machine pc-i440fx-2.4 -enable-kvm -global qxl.ram_size=1x1024 -m 2048M -smp 2 -drive file=./Fedora-Workstation-netinst-x86_64-27-20170910.n.0.iso.qcow2,index=0,media=disk,cache=unsafe -localtime -serial file:/tmp/qemu-Fedora-Workstation-netinst-x86_64-27-20170910.n.0.iso.qcow2-output.log -name Fedora-Workstation-netinst-x86_64-27-20170910.n.0.iso.qcow2 -cdrom /local/mfabian/iso/Fedora-27/Fedora-Workstation-netinst-x86_64-27-20170910.n.0.iso -boot c -spice port=6002,disable-ticketing,streaming-video=off -vga qxl -display vnc=:6 -net nic -net user,hostname=Fedora-Workstation-netinst-x86_64-27-20170910.n.0.iso.qcow2,hostfwd=tcp::5558-:22 -monitor stdio -usb -usbdevice mouse -soundhw all

Then installed all updates using “sudo dnf update”.

gnome-control-center version is:

    control-center-3.26.0-1.fc27.x86_64

    ibus list-engine | grep -i zhuyin

does list “libzhuyin - New Zhuyin”.

But when trying to add an input method in the gnome-control-center
“region & language” tab, searching for “Zhu” or “New Zhu” does not
work.

See screenshot.

Searching for “Chinese” first, then selecting tradtional Chinese for Taiwan,
then selecting “New Zhuyin” work though.

For other input methods like ibus-typing-booster, searching for “Booster”
works directly without searching for a language first.

Also, searching for “dvorak” works immediately.

So it is weird that searching directly for “Zhuyin” does not work.

Comment 1 Mike FABIAN 2017-09-19 08:52 UTC
Created attachment 1327811 [details]
zhuyin-listed-by-gnome.png

screenshot showing that searching for Chinese first, then selecting
Taiwan, does list “New Zhuyin”.

Comment 2 Mike FABIAN 2017-09-19 08:54 UTC
Created attachment 1327824 [details]
dvorak-search-works.png

Screenshot showing that searching for “dvorak” works directly,
without searching or selecting a language first.

Comment 3 Ben Cotton 2018-11-27 18:23:39 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2018-11-30 18:00:49 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.